WorkerDaemonExecutor (Gradle API 3.4.1)
Date: 2017-03-03

org.gradle.process.daemon

## Interface WorkerDaemonExecutor

-     @Incubating
      public interface WorkerDaemonExecutor

  Worker Daemon Executor.
  Since:
    3.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkerDaemonExecutor` | `classpath(Iterable<File> files)` Adds a set of files to the classpath associated with the daemon process.
    `void` | `execute()` Synchronously executes the work in a daemon process.
    `WorkerDaemonExecutor` | `forkOptions(Action<? super JavaForkOptions> forkOptionsAction)` Executes the provided action against the `JavaForkOptions` object associated with this builder.
    `JavaForkOptions` | `getForkOptions()` Returns the `JavaForkOptions` object associated with this builder.
    `WorkerDaemonExecutor` | `params(Serializable... params)` Sets any initialization parameters to use when constructing an instance of the implementation class.

- - ### Method Detail

    - #### classpath

          WorkerDaemonExecutor classpath(Iterable<File> files)

      Adds a set of files to the classpath associated with the daemon process.
      Parameters:
        `files` - - the files to add to the classpath
      Returns:
        this builder

    - #### forkOptions

          WorkerDaemonExecutor forkOptions(Action<? super JavaForkOptions> forkOptionsAction)

      Executes the provided action against the `JavaForkOptions` object associated with this builder.
      Parameters:
        `forkOptionsAction` - - An action to configure the `JavaForkOptions` for this builder
      Returns:
        this builder

    - #### getForkOptions

          JavaForkOptions getForkOptions()

      Returns the `JavaForkOptions` object associated with this builder.
      Returns:
        the `JavaForkOptions` of this builder

    - #### params

          WorkerDaemonExecutor params(Serializable... params)

      Sets any initialization parameters to use when constructing an instance of the implementation class.
      Parameters:
        `params` - - the parameters to use during construction
      Returns:
        this builder

    - #### execute

          void execute()
                       throws WorkerDaemonExecutionException

      Synchronously executes the work in a daemon process. Each call will execute in an idle daemon that meets the requirements set on this builder. If no idle daemons are available, a new daemon will be started.
      Throws:
        `WorkerDaemonExecutionException` - when a failure occurs while executing the work.